# Note: cannot build for Python 3 at present as resultsdb_api is not
# built for Python 3

%global sum     Library defining conventions for ResultsDB results
%global desc    This project defines some agreed conventions for reporting results of \
different types to ResultsDB, and provides code (currently a Python library) \
to help with reporting results that conform to the conventions.

%global pagure_namespace    taskotron
%global pagure_name         resultsdb_conventions
%global pagure_version      2.0.3

Name:           resultsdb_conventions
Version:        %{pagure_version}
Release:        2%{?dist}
Summary:        %{sum}

License:        GPLv3+
URL:            https://pagure.io/%{pagure_namespace}/%{pagure_name}
Source0:        https://files.pythonhosted.org/packages/source/r/%{pagure_name}/%{pagure_name}-%{pagure_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
# No python2-setuptools on EPEL
BuildRequires:  python-setuptools
# For tests
BuildRequires:  python-mock
BuildRequires:  pytest
BuildRequires:  python2-cached_property
BuildRequires:  python2-fedfind
BuildRequires:  python2-productmd
BuildRequires:  python2-resultsdb_api

%description
%{desc}


%package -n python2-resultsdb_conventions
Summary:        %{sum}
%{?python_provide:%python_provide python2-resultsdb_conventions}
Requires:       python2-cached_property
Requires:       python2-productmd
Requires:       python2-resultsdb_api

%description -n python2-resultsdb_conventions
%{desc} This is the
Python 2 build.

%package -n python2-resultsdb_conventions-fedora
Summary:        %{sum} (Fedora module)
%{?python_provide:%python_provide python2-resultsdb_conventions-fedora}
Requires:       python2-resultsdb_conventions = %{version}-%{release}
Requires:       python2-fedfind

%description -n python2-resultsdb_conventions-fedora
%{desc} This subpackage
contains the resultsdb_conventions.fedora module, which has additional
dependencies. This is the Python 2 build.


%prep
%autosetup -p1

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py test

%files -n python2-resultsdb_conventions
%doc README.md CHANGELOG.md
%license COPYING
%{python2_sitelib}/resultsdb_conventions*
%exclude %{python2_sitelib}/resultsdb_conventions/fedora.py*

%files -n python2-resultsdb_conventions-fedora
%{python2_sitelib}/resultsdb_conventions/fedora.py*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Adam Williamson <awilliam@redhat.com> - 2.0.3-1
- New release 2.0.3: minor tweak for fedfind 4.x

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 24 2017 Adam Williamson <awilliam@redhat.com> - 2.0.2-1
- 2.0.2: new FedoraBodhiResult convention for Bodhi update tests

* Wed Feb 15 2017 Adam Williamson <awilliam@redhat.com> - 2.0.1-1
- Initial package
